# Define _make_verbose if it doesn't exist (RHEL8)
%{!?_make_verbose:%define _make_verbose V=1 VERBOSE=1}

Name:           nginx-mod-echo
Version:        0.63
Release:        2%{?dist}
Summary:        Nginx echo module
License:        BSD-2-Clause
URL:            https://github.com/openresty/echo-nginx-module
Packager:       Teddysun <i@teddysun.com>
Source0:        https://github.com/openresty/echo-nginx-module/archive/refs/tags/v%{version}.tar.gz#/echo-nginx-module-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  nginx-mod-devel

%description
Brings "echo", "sleep", "time", "exec" and more shell-style goodies to Nginx config file.

%prep
%autosetup -n echo-nginx-module-%{version}


%build
%nginx_modconfigure
%nginx_modbuild


%install
pushd %{_vpath_builddir}
install -dm 0755 %{buildroot}%{nginx_moddir}
install -pm 0755 ngx_http_echo_module.so %{buildroot}%{nginx_moddir}
popd

install -dm 0755 %{buildroot}%{nginx_modconfdir}
echo 'load_module "%{nginx_moddir}/ngx_http_echo_module.so";' \
    > %{buildroot}%{nginx_modconfdir}/mod-echo.conf


%files
%license LICENSE
%doc README.markdown
%{nginx_moddir}/ngx_http_echo_module.so
%{nginx_modconfdir}/mod-echo.conf

%changelog
* Thu Apr 17 2025 Teddysun <i@teddysun.com> - 0.63-2
- Rebuild for nginx 1.27.5

* Sun Mar 16 2025 Teddysun <i@teddysun.com> - 0.63-1
- Initial packaging version 0.63 for nginx 1.27.4
